## mediaconch 25.04.20251018

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(mediaconch)
set(CMAKE_CXX_STANDARD 11)
cmake_policy(SET CMP0135 NEW)

option(MEDIACONCH_WITH_SQLITE      "Enable SQLite DB"             OFF)
option(MEDIACONCH_WITH_JANSSON     "Enable Jansson Library"       OFF)
option(MEDIACONCH_WITH_LIBEVENT    "Enable Libevent"              OFF)

find_package(ZLIB REQUIRED)
find_package(ZenLib REQUIRED)
find_package(libxml2 REQUIRED)
find_package(LibXslt REQUIRED)
find_package(MediaInfoLib REQUIRED)

find_package(jansson QUIET)
find_package(Libevent QUIET)

add_subdirectory(Source)

=== Source/CMakeLists.txt ===
# Other configurations can be added here such as CLI, or GUI
add_subdirectory(Lib)

=== Source/Lib/CMakeLists.txt ===
add_library(MediaConchLib
        ../Common/Configuration.cpp
        ../Common/Core.cpp
        ../Common/DaemonClient.cpp
        ../Common/Database.cpp
        ../Common/DatabaseReport.cpp
        ../Common/DpfManager.cpp
        ../Common/Http.cpp
        ../Common/Httpd.cpp
        ../Common/IMSC1.cpp
        ../Common/JS_Tree.cpp
        ../Common/Json.cpp
        ../Common/LibEventHttp.cpp
        ../Common/LibEventHttpd.cpp
        ../Common/MediaConchLib.cpp
        ../Common/NoDatabaseReport.cpp
        ../Common/Plugin.cpp
        ../Common/PluginFileLog.cpp
        ../Common/PluginPreHook.cpp
        ../Common/PluginsConfig.cpp
        ../Common/PluginsManager.cpp
        ../Common/Policy.cpp
        ../Common/Policies.cpp
        ../Common/Queue.cpp
        ../Common/Reports.cpp
        ../Common/REST_API.cpp
        ../Common/Scheduler.cpp
        ../Common/Schema.cpp
        ../Common/SQLLite.cpp
        ../Common/SQLLiteReport.cpp
        ../Common/UnknownPolicy.cpp
        ../Common/VeraPDF.cpp
        ../Common/WatchFolder.cpp
        ../Common/WatchFoldersManager.cpp
        ../Common/Xslt.cpp
        ../Common/XsltPolicy.cpp
        ../IMSC1/IMSC1Plugin.cpp
        ../Checker/Checker.cpp
        ../Checker/Path.cpp
        ../ThirdParty/tfsxml/tfsxml.cpp
        MediaConchDLL.cpp
        Lib.cpp
)

target_link_libraries(MediaConchLib
    PRIVATE
        zen
        LibXml2::LibXml2
        libxslt::libxslt
        ZLIB::ZLIB
        mediainfo
)

add_library(MediaConch:lib ALIAS MediaConchLib)

set_target_properties(MediaConchLib PROPERTIES
    OUTPUT_NAME mediaconch
    PUBLIC_HEADER MediaConchDLL.h
)

target_include_directories(MediaConchLib
    PRIVATE
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/Source>
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/Source/Lib>
)

if (MEDIACONCH_WITH_SQLITE)
    target_sources(MediaConchLib PRIVATE ../ThirdParty/sqlite/sqlite3.c)
    target_include_directories(MediaConchLib PRIVATE ../ThirdParty/sqlite)
    target_compile_definitions(MediaConchLib PRIVATE HAVE_SQLITE)
endif ()

if(Libevent_FOUND AND MEDIACONCH_WITH_LIBEVENT)
    target_link_libraries(MediaConchLib PRIVATE libevent::libevent)
    target_compile_definitions(MediaConchLib PRIVATE HAVE_LIBEVENT)
endif ()

if(jansson_FOUND AND MEDIACONCH_WITH_JANSSON)
    target_link_libraries(MediaConchLib PRIVATE jansson::jansson)
    target_compile_definitions(MediaConchLib PRIVATE HAVE_JANSSON)
endif ()

install(TARGETS MediaConchLib EXPORT MediaConchTargets
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib
        PUBLIC_HEADER DESTINATION include/MediaConch
)
install(EXPORT MediaConchTargets
        FILE MediaConchTargets.cmake
        NAMESPACE MediaConch::
        DESTINATION share/cmake/${PROJECT_NAME}
)

## mediaconch 16.01

=== debian/changelog ===
mediaconch (16.01-2) unstable; urgency=medium

  * [30a4e05] Update debian/copyright with BSD-licensed files

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 08 Feb 2016 22:44:15 +0800

mediaconch (16.01-1) unstable; urgency=medium

  * [b0ba2b4] Add libevent-dev to build-deps
  * [7427852] Imported Upstream version 16.01
  * [cd3614e] Build-dep on libsqlite3-dev
  * [19df07d] Build-dep on libjansson-dev
  * [079d3b3] Document public domain sqlite3 files
  * [c3ed66d] Document MIT-licensed bits
  * [2be7357] Document CC-BY-3.0 portions
  * [d8fb368] Temporarily disable --as-needed for dh-autoreconf
  * [175dc07] Add GPL-2 license paragraph

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 08 Feb 2016 13:40:20 +0800

mediaconch (15.12-1) UNRELEASED; urgency=medium

  * [d2f2dd9] Imported Upstream version 15.12

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 11 Jan 2016 01:40:29 +0800

mediaconch (15.11-1) UNRELEASED; urgency=medium

  * [712159e] Fix watch file
  * [3f32bb5] Imported Upstream version 15.11

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 01 Dec 2015 02:15:56 +0800

mediaconch (15.10.20151116-1) unstable; urgency=low

  * Initial release (Closes: #805149)

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 28 Nov 2015 20:06:41 +0800

=== debian/control ===
Source: mediaconch
Section: utils
Priority: optional
Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-exec,
               tofrodos,
               libmediainfo-dev (>= 0.7.79),
               libzen-dev (>= 0.4.32),
               libqt4-dev,
               libxml2-dev,
               libxslt-dev,
               zlib1g-dev,
               pkg-config,
               libqtwebkit-dev,
               libcurl4-gnutls-dev,
               libevent-dev,
               libsqlite3-dev,
               libjansson-dev
Standards-Version: 3.9.6
Homepage: https://mediaarea.net/MediaConch/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediaconch.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediaconch.git

Package: mediaconch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the command-line utiltiy.

Package: mediaconch-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the GUI application.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

paths = \
	Project/GNU/CLI/ \
	Project/Qt/

auto_build_cmd =				\
	for path in $(paths); do		\
		$(1) -D"$$path";		\
	done


%:
	dh $@ --with=autoreconf

# override_dh_autoreconf:
# 	dh_autoreconf --as-needed

override_dh_auto_configure:
	$(call auto_build_cmd,dh_auto_configure)

override_dh_auto_build:
	$(call auto_build_cmd,dh_auto_build)

override_dh_auto_install:
	$(call auto_build_cmd,dh_auto_install)

override_dh_auto_clean:
	$(call auto_build_cmd,dh_auto_clean)

override_dh_installman: debian/mediaconch.1 debian/mediaconch-gui.1
	dh_installman

override_dh_installchangelogs:
	dh_installchangelogs -p mediaconch History_CLI.txt
	dh_installchangelogs -p mediaconch-gui History_GUI.txt

clean:
	rm -f debian/*.1
	dh clean --with=autoreconf

%.1: %.pod
	pod2man --center "User Commands" --release=MediaConch\ $(DEB_VERSION_UPSTREAM) $< > $@

## mediaconch 16.03

=== debian/changelog ===
mediaconch (16.03-2) unstable; urgency=medium

  * [c32b34a] Fix icon location

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 25 Apr 2016 21:44:05 +0800

mediaconch (16.03-1) unstable; urgency=medium

  * [9b62b6d] Imported Upstream version 16.03

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 13 Apr 2016 02:53:16 +0800

mediaconch (16.02-2) unstable; urgency=medium

  * [8cecc33] Upgrade to qt5 (Closes: #816810)
  * [6dd7bdd] Call qmake with USE_WEBKIT=1.
    This avoids switching to QtWebEngine when 5.6 hits sid, since
    QtWebEngine is not going to be packaged.
  * [389025f] No-change bump of Standards-Version to 3.9.7

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 15 Mar 2016 02:39:19 +0800

mediaconch (16.02-1) unstable; urgency=medium

  * [4a48e7e] Imported Upstream version 16.02

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 05 Mar 2016 02:40:56 +0800

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,18 @@
                tofrodos,
                libmediainfo-dev (>= 0.7.79),
                libzen-dev (>= 0.4.32),
-               libqt4-dev,
+               qt5-qmake,
+               qtbase5-dev,
+               libqt5webkit5-dev,
                libxml2-dev,
                libxslt-dev,
                zlib1g-dev,
                pkg-config,
-               libqtwebkit-dev,
                libcurl4-gnutls-dev,
                libevent-dev,
                libsqlite3-dev,
                libjansson-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: https://mediaarea.net/MediaConch/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediaconch.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediaconch.git

## mediaconch 16.04

=== debian/changelog ===
mediaconch (16.04) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 16.08

=== debian/changelog ===
mediaconch (16.08-1) unstable; urgency=medium

  * [56e1e87] Imported Upstream version 16.08

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 01 Sep 2016 23:35:18 +0800

mediaconch (16.07-1) unstable; urgency=medium

  * [5cf5ff1] Imported Upstream version 16.07

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 27 Aug 2016 18:41:47 +0800

mediaconch (16.04-1) UNRELEASED; urgency=medium

  * [0f03dbc] Imported Upstream version 16.04
  * [ec3dacf] Bump Standards-Version to 3.9.8
  * [6c8c4f6] Ignore lintian source-is-missing warnings.
    False positives here.

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 03 May 2016 00:37:46 +0800

## mediaconch 16.11

=== debian/changelog ===
mediaconch (16.11-1) unstable; urgency=medium

  * [396e71d] Imported Upstream version 16.11
  * [c53b786] Update lintian-overrides of long-lined js files

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 30 Dec 2016 05:25:37 +0800

## mediaconch 16.12

=== debian/changelog ===
mediaconch (16.12-1) unstable; urgency=medium

  * [24c56a2] Imported Upstream version 16.12
  * [f1e907d] Update lintian overrides

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 04 Jan 2017 01:57:47 +0800

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libevent-dev,
                libsqlite3-dev,
                libjansson-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://mediaarea.net/MediaConch/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediaconch.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediaconch.git

## mediaconch 17.01.1

=== debian/control ===
Source: mediaconch
Priority: optional
Section: utils
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libmediainfo-dev (>= 0.7.92),
               libzen-dev (>= 0.4.34),
               qt5-qmake,
               qtbase5-dev,
               libqt5webkit5-dev,
               libxml2-dev,
               libxslt-dev,
               libsqlite3-dev,
               libjansson-dev,
               zlib1g-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libevent-dev
Standards-Version: 3.9.6
Homepage: http://MediaArea.net/MediaConch
Vcs-Svn: https://github.com/MediaArea/MediaConch_SourceCode.git
Vcs-Browser: https://github.com/MediaArea/MediaConch_SourceCode

Package: mediaconch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 0.7.92), libzen0 (>= 0.4.34)
Description: implementation and policy checker, reporter and fixer for media files (command-line utility)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the command-line utility.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 0.7.92), libzen0 (>= 0.4.34)
Description: implementation and policy checker, reporter and fixer for media files (server daemon)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the server daemon.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},  libmediainfo0 (>= 0.7.92), libzen0 (>= 0.4.34)
Description: implementation and policy checker, reporter and fixer for media files (GUI application)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the GUI application.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the command-line utility)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the command-line utility.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-server-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the server daemon)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the server daemon.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-gui-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the GUI application)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the GUI application.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

## mediaconch 17.04

=== debian/changelog ===
mediaconch (17.04-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 17.05

=== debian/changelog ===
mediaconch (17.05-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: MediaArea.net SARL <info@mediaarea.net>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               libmediainfo-dev (>= 0.7.92),
-               libzen-dev (>= 0.4.34),
+               libmediainfo-dev (>= 0.7.96),
+               libzen-dev (>= 0.4.35),
                qt5-qmake,
                qtbase5-dev,
                libqt5webkit5-dev,
@@ -24,7 +24,7 @@
 
 Package: mediaconch
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 0.7.92), libzen0 (>= 0.4.34)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 0.7.96), libzen0 (>= 0.4.35)
 Description: implementation and policy checker, reporter and fixer for media files (command-line utility)
  MediaConch is an extensible, open source software project consisting of an
  implementation checker, policy checker, reporter, and fixer that targets
@@ -40,7 +40,7 @@
 
 Package: mediaconch-server
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 0.7.92), libzen0 (>= 0.4.34)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0 (>= 0.7.96), libzen0 (>= 0.4.35)
 Description: implementation and policy checker, reporter and fixer for media files (server daemon)
  MediaConch is an extensible, open source software project consisting of an
  implementation checker, policy checker, reporter, and fixer that targets
@@ -56,7 +56,7 @@
 
 Package: mediaconch-gui
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},  libmediainfo0 (>= 0.7.92), libzen0 (>= 0.4.34)
+Depends: ${shlibs:Depends}, ${misc:Depends},  libmediainfo0 (>= 0.7.96), libzen0 (>= 0.4.35)
 Description: implementation and policy checker, reporter and fixer for media files (GUI application)
  MediaConch is an extensible, open source software project consisting of an
  implementation checker, policy checker, reporter, and fixer that targets

## mediaconch 17.06

=== debian/changelog ===
mediaconch (17.06-1build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:47:00 +0000

mediaconch (17.06-1) unstable; urgency=medium

  * [33ba110] New upstream version 17.06

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 14 Jul 2017 01:51:42 +0800

mediaconch (17.05-1) experimental; urgency=medium

  * [58cbeda] New upstream version 17.05
  * [520f65a] Add policyUser.js source-is-missing to lintian-overrides

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 04 Jun 2017 01:45:31 +0800

mediaconch (17.04-1) experimental; urgency=medium

  * [52de47e] New upstream version 17.04

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 08 May 2017 01:28:43 +0800

mediaconch (17.03-1) experimental; urgency=medium

  * [b95d49a] Imported Upstream version 17.03
  * [9d73157] Bump libmediainfo-dev dependency

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 06 Apr 2017 15:50:42 +0800

mediaconch (17.02-1) experimental; urgency=medium

  * [ff19ec0] Imported Upstream version 17.02

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 Mar 2017 23:26:37 +0800

mediaconch (17.01.1-1) experimental; urgency=medium

  * [e9fabb3] Imported Upstream version 17.01.1

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 03 Feb 2017 01:56:31 +0800

mediaconch (17.01-1) experimental; urgency=medium

  * [8c0e957] Imported Upstream version 17.01

 -- Chow Loong Jin <hyperair@debian.org>  Thu, 02 Feb 2017 02:56:06 +0800

=== debian/control ===
Source: mediaconch
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-exec,
               tofrodos,
               libmediainfo-dev (>= 0.7.94),
               libzen-dev (>= 0.4.32),
               qt5-qmake,
               qtbase5-dev,
               libqt5webkit5-dev,
               libxml2-dev,
               libxslt-dev,
               zlib1g-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libevent-dev,
               libsqlite3-dev,
               libjansson-dev
Standards-Version: 3.9.8
Homepage: https://mediaarea.net/MediaConch/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediaconch.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediaconch.git

Package: mediaconch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the command-line utiltiy.

Package: mediaconch-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the GUI application.

## mediaconch 17.07

=== debian/changelog ===
mediaconch (17.07-1) unstable; urgency=medium

  * [ae65ede] New upstream version 17.07

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 19 Aug 2017 16:13:17 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mediaconch
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Chow Loong Jin <hyperair@debian.org>
+Maintainer: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-exec,

## mediaconch 17.07.20170826

=== debian/changelog ===
mediaconch (17.07.20170826-1deb9) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

=== debian/control ===
Source: mediaconch
Priority: optional
Section: utils
Maintainer: MediaArea.net SARL <info@mediaarea.net>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libmediainfo-dev (>= 0.7.98),
               libzen-dev (>= 0.4.36),
               qt5-qmake,
               qtbase5-dev,
               libqt5webkit5-dev,
               libxml2-dev,
               libxslt-dev,
               libsqlite3-dev,
               libjansson-dev,
               zlib1g-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libevent-dev
Standards-Version: 3.9.6
Homepage: http://MediaArea.net/MediaConch
Vcs-Svn: https://github.com/MediaArea/MediaConch_SourceCode.git
Vcs-Browser: https://github.com/MediaArea/MediaConch_SourceCode

Package: mediaconch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0v5 (>= 0.7.98), libzen0v5 (>= 0.4.36)
Description: implementation and policy checker, reporter and fixer for media files (command-line utility)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the command-line utility.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmediainfo0v5 (>= 0.7.98), libzen0v5 (>= 0.4.36)
Description: implementation and policy checker, reporter and fixer for media files (server daemon)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the server daemon.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},  libmediainfo0v5 (>= 0.7.98), libzen0v5 (>= 0.4.36)
Description: implementation and policy checker, reporter and fixer for media files (GUI application)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the GUI application.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the command-line utility)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the command-line utility.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-server-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the server daemon)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the server daemon.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

Package: mediaconch-gui-dbg
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files (debug info of the GUI application)
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the debugging symbols of the GUI application.
 .
 This project is maintained by MediaArea and funded by PREFORMA.

## mediaconch 17.12

=== debian/changelog ===
mediaconch (17.12-1) unstable; urgency=medium

  * [dfbf298] New upstream version 17.12
  * [304b5fb] Update metainfo filename in instasll file
  * [bd1d791] Set maintainer to team
  * [23743bb] Add license-problem-json-evil to lintian overrides.
    The affected file is documentation providing attribution to RapidJSON which
    is not part of the source package.

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 20 Jan 2018 03:36:49 +0800

mediaconch (17.08-1) unstable; urgency=medium

  * [5e31f36] New upstream version 17.08

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 18 Sep 2017 01:12:47 +0800

=== debian/control ===
Source: mediaconch
Section: utils
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Chow Loong Jin <hyperair@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-exec,
               tofrodos,
               libmediainfo-dev (>= 0.7.94),
               libzen-dev (>= 0.4.32),
               qt5-qmake,
               qtbase5-dev,
               libqt5webkit5-dev,
               libxml2-dev,
               libxslt-dev,
               zlib1g-dev,
               pkg-config,
               libcurl4-gnutls-dev,
               libevent-dev,
               libsqlite3-dev,
               libjansson-dev
Standards-Version: 3.9.8
Homepage: https://mediaarea.net/MediaConch/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediaconch.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediaconch.git

Package: mediaconch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the command-line utiltiy.

Package: mediaconch-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: implementation and policy checker, reporter and fixer for media files
 MediaConch is an extensible, open source software project consisting of an
 implementation checker, policy checker, reporter, and fixer that targets
 preservation-level audiovisual files (specifically Matroska, Linear Pulse Code
 Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions,
 providing detailed and batch-level conformance checking via an adaptable and
 flexible application program interface accessible by the command line, a
 graphical user interface, or a web-based shell.
 .
 This package contains the GUI application.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export QT_SELECT = qt5
 
 include /usr/share/dpkg/default.mk
 
@@ -13,6 +14,8 @@
 		$(1) -D"$$path";		\
 	done
 
+configure_targets = $(addprefix configure-, $(paths))
+
 
 %:
 	dh $@ --with=autoreconf
@@ -20,8 +23,13 @@
 # override_dh_autoreconf:
 # 	dh_autoreconf --as-needed
 
-override_dh_auto_configure:
-	$(call auto_build_cmd,dh_auto_configure)
+override_dh_auto_configure: $(configure_targets)
+
+configure-%:
+	dh_auto_configure -D"$*"
+
+configure-Project/Qt/:
+	dh_auto_configure -DProject/Qt -- USE_WEBKIT=1
 
 override_dh_auto_build:
 	$(call auto_build_cmd,dh_auto_build)

## mediaconch 18.03.2

=== debian/changelog ===
mediaconch (18.03.2-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:49:30 +0100

mediaconch (18.03.2-1build1) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:56:11 +0000

mediaconch (18.03.2-1) unstable; urgency=medium

  * [0be898b] New upstream version 18.03.2

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 16 Apr 2018 22:23:03 +0800

mediaconch (18.03.1-1) unstable; urgency=medium

  * [3da41ad] New upstream version 18.03.1
  * [d8da396] Update Vcs-* fields for salsa port

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 01 Apr 2018 15:57:23 +0800

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
                libjansson-dev
 Standards-Version: 3.9.8
 Homepage: https://mediaarea.net/MediaConch/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/mediaconch.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/mediaconch.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/mediaconch
+Vcs-Git: https://salsa.debian.org/multimedia-team/mediaconch.git
 
 Package: mediaconch
 Architecture: any

## mediaconch 22.03

=== debian/changelog ===
mediaconch (22.03-2build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:53:36 +0200

mediaconch (22.03-2) unstable; urgency=medium

  * [80dc663] Patch to stop hardcoding pkg-config executable (Closes: #927095)

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 08 Apr 2022 17:25:56 +0800

mediaconch (22.03-1) unstable; urgency=medium

  * [1c839e0] New upstream version 22.03
  * [8d2ee7f] Bump standards-version and debhelper-compat
  * [82618a8] Fix make implicit rules shenanigans.
    The `configure-%` rule stopped getting resolved for names with paths in
    them, so substitute the / with _ and back.
  * [329f4bc] Update metainfo file name in d/copyright
  * [30545a9] Update lintian-overrides
  * [aa38274] Drop dh-autoreconf build-dep
  * [4dccb1f] Change jquery entry in debian/copyright to wildcard.
    This becomes superfluous whenever the version gets upgraded

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 08 Apr 2022 17:04:50 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: mediaconch
 Section: utils
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: debhelper-compat (= 12),
                dh-exec,
                tofrodos,
                libmediainfo-dev (>= 0.7.94),
@@ -20,7 +20,7 @@
                libevent-dev,
                libsqlite3-dev,
                libjansson-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
 Homepage: https://mediaarea.net/MediaConch/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mediaconch
 Vcs-Git: https://salsa.debian.org/multimedia-team/mediaconch.git

## mediaconch 22.09

=== debian/changelog ===
mediaconch (22.09-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * [c651446] d/copyright: Use https protocol in Format field
  * [735a7ab] d/control: Change Maintainer from @lists.alioth.debian.org to
    @lists.debian.org
  * [7bb65e0] Use debhelper-compat instead of debian/compat

  [ Chow Loong Jin ]
  * [72b182e] New upstream version 22.09
  * [9664535] Update lintian-overrides

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 12 Oct 2022 13:43:11 +0800

## mediaconch 23.03

=== debian/changelog ===
mediaconch (23.03-1) unstable; urgency=medium

  * [3b245a2] New upstream version 23.03
  * [f06c578] Add autopkgtests

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 26 Apr 2023 11:42:40 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mediaconch
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,

=== debian/tests/control ===
Tests: check-mediaconch-gui
Depends: @, matchbox-window-manager, wmctrl, xvfb, xauth
Restrictions: allow-stderr

Tests: check-mediaconch
Depends: @, libxml2-utils

## mediaconch 23.06

=== debian/changelog ===
mediaconch (23.06-1) unstable; urgency=medium

  * [1bdcf76] New upstream version 23.06

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 05 Jul 2023 12:04:03 +0800

## mediaconch 23.07

=== debian/changelog ===
mediaconch (23.07-1) unstable; urgency=medium

  * [ac856a9] New upstream version 23.07

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 15 Jul 2023 16:32:25 +0800

## mediaconch 23.10

=== debian/changelog ===
mediaconch (23.10-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:55:18 +1100

mediaconch (23.10-1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:27:05 +0100

mediaconch (23.10-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:54:22 +0000

mediaconch (23.10-1) unstable; urgency=medium

  * [4184d25] New upstream version 23.10
  * [e68bdb9] Refresh patches

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 06 Oct 2023 16:49:38 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mediaconch
 Section: utils
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,

=== debian/rules ===
--- 
+++ 
@@ -14,10 +14,9 @@
 		$(1) -D"$$path";		\
 	done
 
-configure_targets = $(addprefix configure-, $(paths))
+configure_targets = $(addprefix configure-, $(subst /,_,$(paths)))
 
-
-%:
+%::
 	dh $@ --with=autoreconf
 
 # override_dh_autoreconf:
@@ -26,9 +25,9 @@
 override_dh_auto_configure: $(configure_targets)
 
 configure-%:
-	dh_auto_configure -D"$*"
+	dh_auto_configure -D"$(subst _,/,$*)"
 
-configure-Project/Qt/:
+configure-Project_Qt_:
 	dh_auto_configure -DProject/Qt -- USE_WEBKIT=1
 
 override_dh_auto_build:

## mediaconch 24.06

=== debian/changelog ===
mediaconch (24.06-3) unstable; urgency=medium

  * Team upload
  * Run GUI autopkgtest only on supported archs short armhf (Closes: #1079211)

 -- Bastian Germann <bage@debian.org>  Tue, 28 Jan 2025 18:36:47 +0100

mediaconch (24.06-2) unstable; urgency=medium

  * Team upload
  * Build with QtWebEngine

 -- Bastian Germann <bage@debian.org>  Sun, 19 Jan 2025 17:51:06 +0100

mediaconch (24.06-1) unstable; urgency=medium

  * [67cb323] New upstream version 24.06
  * [d62c5f3] Update build-depends from pkg-config to pkgconf

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 06 Jul 2024 11:08:42 +0800

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,11 @@
 
 include /usr/share/dpkg/default.mk
 
-paths = \
-	Project/GNU/CLI/ \
-	Project/Qt/
+paths = Project/GNU/CLI/
+
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 armhf i386 mips64el))
+paths += Project/Qt/
+endif
 
 auto_build_cmd =				\
 	for path in $(paths); do		\
@@ -28,7 +30,7 @@
 	dh_auto_configure -D"$(subst _,/,$*)"
 
 configure-Project_Qt_:
-	dh_auto_configure -DProject/Qt -- USE_WEBKIT=1
+	dh_auto_configure -DProject/Qt -- USE_WEBENGINE=1
 
 override_dh_auto_build:
 	$(call auto_build_cmd,dh_auto_build)

## mediaconch 25.04

=== debian/changelog ===
mediaconch (25.04-2build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 10:07:03 +0200

mediaconch (25.04-2) unstable; urgency=medium

  * Reupload with accidentally reverted changes from Bastian re-applied
    - [c296a93] Build with QtWebEngine
    - [9cce7e5] Upload to unstable
    - [dfd25d6] Run GUI autopkgtest only on supported archs short armhf
      (Closes: #1079211)
    - [fcf3c69] Upload to unstable

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 13 May 2025 18:01:39 +0800

mediaconch (25.04-1) unstable; urgency=medium

  * [1047dcb] New upstream version 25.04

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 13 May 2025 17:24:23 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mediaconch
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Chow Loong Jin <hyperair@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec,
@@ -11,11 +10,11 @@
                libzen-dev (>= 0.4.32),
                qt5-qmake,
                qtbase5-dev,
-               libqt5webkit5-dev,
+               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
                libxml2-dev,
                libxslt-dev,
                zlib1g-dev,
-               pkg-config,
+               pkgconf,
                libcurl4-gnutls-dev,
                libevent-dev,
                libsqlite3-dev,
@@ -40,7 +39,7 @@
  This package contains the command-line utiltiy.
 
 Package: mediaconch-gui
-Architecture: any
+Architecture: amd64 arm64 armhf i386 mips64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: implementation and policy checker, reporter and fixer for media files
  MediaConch is an extensible, open source software project consisting of an

=== debian/tests/control ===
Tests: check-mediaconch-gui
Depends: @, matchbox-window-manager, wmctrl, xvfb, xauth
Restrictions: allow-stderr
Architecture: amd64 arm64 i386 mips64el

Tests: check-mediaconch
Depends: @, libxml2-utils

## mediaconch 25.04.20251006

=== debian/changelog ===
mediaconch (25.04.20251006-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251011

=== debian/changelog ===
mediaconch (25.04.20251011-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251012

=== debian/changelog ===
mediaconch (25.04.20251012-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251014

=== debian/changelog ===
mediaconch (25.04.20251014-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251025

=== debian/changelog ===
mediaconch (25.04.20251025-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251031

=== debian/changelog ===
mediaconch (25.04.20251031-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251101

=== debian/changelog ===
mediaconch (25.04.20251101-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251107

=== debian/changelog ===
mediaconch (25.04.20251107-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20251108

=== debian/changelog ===
mediaconch (25.04.20251108-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20260103

=== debian/changelog ===
mediaconch (25.04.20260103-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20260110

=== debian/changelog ===
mediaconch (25.04.20260110-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000

## mediaconch 25.04.20260111

=== debian/changelog ===
mediaconch (25.04.20260111-1) unstable; urgency=low

  * See History.txt for more info and real dates

 -- MediaArea.net SARL <info@mediaarea.net>  Sat, 01 Jan 2011 15:05:00 +0000
